Foreman - Bug #35536

Template input_resource macro & preview error
09/19/2022 01:38 PM - Leos Stejskal

Status: Closed
Priority: Normal
Assignee: Leos Stejskal
Category: Templates

Target version:

Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/9428
Description

Preconditions

e Create new job template

echo '<%= input_resource ('organization').title %>'
¢ Add template input
Input Type: user input
Value type: resource
Resource Type: organization
1. fixed issue
® Try to preview the template
2. fixed issue
¢ Run job invocation & verify that preview templates tab doesn't show any errors

Not fixed:

echo '<%= input_resource ('organization') %>'

will still raise an "no implicit conversion of nil into String." error while previewing the template

Associated revisions

Revision 1b245d59 - 10/25/2022 01:37 PM - Leos Stejskal

Fixes #35536 - Template input_resource macro & preview error (#9428)

History

#1 - 09/19/2022 01:39 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9428 added

#2 - 10/25/2022 01:37 PM - The Foreman Bot
- Fixed in Releases 3.5.0 added

05/18/2024

1/2




#3 - 10/25/2022 02:03 PM - Leos Stejskal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1b245d59b149c1228a70ae54ec6fccf39b38dd8a.

#4 - 11/28/2022 12:21 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
